package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author yang.zhao
 */
@ApiModel(value= "拼团活动订单信息入参类")
@Data
public class GroupBuyingOrderParam {

    @ApiModelProperty(value = "订单号",required = false)
    private String orderId;

    @ApiModelProperty(value = "活动名称",required = false)
    private String groupbuyingTitle;

    @ApiModelProperty(value = "订单状态;-1 已取消 0:待付款 1:待发货 2:待收货 3:已完成",required = false)
    private Integer status;

    @ApiModelProperty(value = "奖品类型 goods 实物商品 coupon优惠券 coin平台代币 coupon_pkg券包",required = false)
    private String prizeType;

    @ApiModelProperty(value = "快递公司ID",required = false)
    private String deliveryId;

    @ApiModelProperty(value = "快递类型",required = false)
    private Integer deliveryType;

    @ApiModelProperty(value = "物流单号", required = false)
    private String deliveryFlowId;

}
