package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 拼团活动查询入参类
 * @author yang.zhao
 */
@ApiModel("拼团活动查询入参类")
@Data
public class GroupBuyingQueryParam {


    @ApiModelProperty("营销活动名称")
    private String title;

    @ApiModelProperty("活动状态:0上架，1下架，2已结束，3进行中，4预热中")
    private Integer status;

}
