package com.qs.mp.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qs.mp.admin.domain.GroupBuyingAwardsPrize;
import com.qs.mp.admin.domain.MarketingAwardsPrize;
import com.qs.mp.admin.mapper.GroupBuyingAwardsPrizeMapper;
import com.qs.mp.admin.mapper.MarketingAwardsPrizeMapper;
import com.qs.mp.admin.service.IGroupBuyingAwardsPrizeService;
import com.qs.mp.admin.service.IMarketingAwardsPrizeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 营销活动奖项对应奖品设置 服务实现类
 * </p>
 *
 * @author yang.zhao
 */
@Service
public class GroupBuyingAwardsPrizeServiceImpl extends ServiceImpl<GroupBuyingAwardsPrizeMapper, GroupBuyingAwardsPrize> implements IGroupBuyingAwardsPrizeService {

    @Override
    public List<GroupBuyingAwardsPrize> listPrizeVO(LambdaQueryWrapper<GroupBuyingAwardsPrize> eq) {
        return getBaseMapper().listPrizeVO(eq);
    }
}
