package com.qs.mp.user.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.excel.MarketingHitPrizeExcel;
import com.qs.mp.admin.domain.param.GroupBuyingHitPrizeParam;
import com.qs.mp.admin.domain.param.GroupBuyingOrderParam;
import com.qs.mp.admin.domain.vo.GroupBuyingHitPrize;
import com.qs.mp.admin.domain.vo.GroupBuyingOrder;
import com.qs.mp.user.domain.MarketingHitPrize;
import com.qs.mp.user.domain.vo.UserMarketingHitPrizeListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @auther yang.zhao
 * @describe 拼团活动订单表mapper类
 */
public interface GroupBuyingOrderMapper extends BaseMapper<GroupBuyingOrder> {

    /**
     * 根据参数查询用户中奖信息
     * @param GroupBuyingOrderParam
     * @return
     */
    List<GroupBuyingOrder> selectUserOrder(GroupBuyingOrderParam GroupBuyingOrderParam);




}
